Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: glib2-devel libgtk+2-devel pkgconfig(dbus-glib-1)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global snapshot_date 20110228
%global snapshot_revision 15
Name:           pidgin-logviewer
Version:        0.2 
Release:        alt2_28.%{snapshot_date}svn%{snapshot_revision}
Summary:        User-friendly and intuitive chat log viewer for Pidgin

License:        GPLv2
URL:            https://code.google.com/p/pidgin-logviewer/
#clone and tarred : svn export -r%%{snapshot_revision} http://pidgin-logviewer.googlecode.com/svn/trunk/ pidgin-logviewer-%%{version}
#tar -cvzf pidgin-logviewer-%%{version}svn%%{snapshot_revision}.tar.gz pidgin-logviewer-%%{version}
Source0:        %{name}-%{version}svn%{snapshot_revision}.tar.gz

BuildRequires:  pidgin-devel
BuildRequires:  automake
BuildRequires:	gettext-tools libasprintf-devel
BuildRequires:	libtool
Requires:       pidgin
Source44: import.info

%description
This project aims to present an alternative, user-friendly and intuitive way 
of viewing chat logs in Pidgin. Currently the project is in an early stage,
and is designed as a plugin, but it eventually aims to replace Pidgin's default
log viewer.

%prep
%setup -q

echo "%{version}-%{release}" > version
autoreconf -fi

cd src
rm -rf .libs .deps *.o *.lo *.la



%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_libdir}/pidgin/*.la

%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/pidgin/*.so


%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.2-alt2_28.20110228svn15
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.2-alt2_27.20110228svn15
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_27.20110228svn15
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_26.20110228svn15
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_25.20110228svn15
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_24.20110228svn15
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_23.20110228svn15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_22.20110228svn15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_19.20110228svn15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_18.20110228svn15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_17.20110228svn15
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_16.20110228svn15
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_15.20110228svn15
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_14.20110228svn15
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_13.20110228svn15
- initial fc import

